Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Antoine Kalmbach <[email-masked]>
Date: Wed, 05 Oct 2022 19:07:05 +0300

Philip Kaludercic <[email-masked]> writes:

> Sorry for the delay, here is a first approximation of this idea:

Great news!

> +(defun vc-compose-patch (addressee subject revisions)
> +  "Compose a message sending REVISIONS to ADDRESSEE with SUBJECT."
> +  (interactive (save-current-buffer

Overall, this looks great.  If I understand this right, this doesn't
support entering revision ranges (abcd1234..ghjk568, HEAD~2, etc), but
you have to input each absolute revision?  I think that's actually fine,
because it composes with the proposed vc-log feature of marking commits
there and then applying vc-compose-patch on the commits.  Trying to
convert those into VCS specific revision ranges is probably asking for trouble.

-- 
Antoine Kalmbach